## python-pycotap 1.3.1

=== Makefile ===
all: dist

.PHONY: clean
clean:
	python3 setup.py clean
	-rm -rf build dist *.egg-info coverage

.PHONY: test
test:
ifeq ($(COVERAGE),1)
	coverage run --omit='**/test/*,**/site-packages/**' test/test.py
	coverage html --directory=coverage
	coverage json -o coverage/coverage.json
	./scripts/coverage-badge.py coverage/coverage.json coverage/coverage.svg
	coverage report
else
	python3 test/test.py
endif
	
.PHONY: lint
lint:
	ruff .
	pylint pycotap scripts

.PHONY: dist
dist:
	python3 setup.py sdist

.PHONY: upload
upload: clean
	python3 setup.py sdist bdist_wheel
	twine upload dist/*

.PHONY: test-upload
test-upload:
	python3 setup.py sdist bdist_wheel
	twine upload --repository-url https://test.pypi.org/legacy/ dist/*

=== debian/changelog ===
python-pycotap (1.3.1-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Nov 2024 22:14:40 +0100

python-pycotap (1.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1087487)

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Nov 2024 10:34:20 +0100

=== debian/control ===
Source: python-pycotap
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-yapf,
 python3-coverage,
 python3-pytest,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pycotap
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pycotap.git
Homepage: https://github.com/remko/pycotap

Package: python3-pycotap
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: tiny test runner that outputs TAP results to standard output
 This package provides a simple Python test runner for unittest that outputs
 "Test Anything Protocol" (see http://testanything.org) results to standard
 output, similar to what tape (https://www.npmjs.com/package/tape) does for
 JavaScript).

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
	python3 test/test.py

override_dh_fixperms:
	dh_fixperms
	rm -f $(CURDIR)/debian/python3-pycotap/usr/COPYING

=== debian/tests/control ===
Tests: unittests
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr, skippable,

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/remko/pycotap refs/tags/(\d[brc\d\.]+)
